Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.fileinput
Class FileInputList

    java.lang.Object
      org.pentaho.di.core.fileinput.FileInputList

    public class FileInputList

extends Object

Nested Class Summary
`static class` | `FileInputList.FileTypeFilter`

Constructor Summary
`FileInputList()`

Method Summary
`void` | `addFile(org.apache.commons.vfs.FileObject file)`
`void` | `addNonAccessibleFile(org.apache.commons.vfs.FileObject file)`
`void` | `addNonExistantFile(org.apache.commons.vfs.FileObject file)`
`static FileInputList` | `createFileList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired)`
`static FileInputList` | `createFileList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired, boolean[] includeSubdirs)`
`static FileInputList` | `createFileList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired, boolean[] includeSubdirs, FileInputList.FileTypeFilter[] fileTypeFilters)`
`static String[]` | `createFilePathList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired)`
`static String[]` | `createFilePathList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired, boolean[] includeSubdirs)`
`static String[]` | `createFilePathList(VariableSpace space, String[] fileName, String[] fileMask, String[] fileRequired, boolean[] includeSubdirs, FileInputList.FileTypeFilter[] filters)`
`static FileInputList` | `createFolderList(VariableSpace space, String[] folderName, String[] folderRequired)`
`org.apache.commons.vfs.FileObject` | `getFile(int i)`
`List<org.apache.commons.vfs.FileObject>` | `getFiles()`
`String[]` | `getFileStrings()`
`List<org.apache.commons.vfs.FileObject>` | `getNonAccessibleFiles()`
`List<org.apache.commons.vfs.FileObject>` | `getNonExistantFiles()`
`static String` | `getRequiredFilesDescription(List<org.apache.commons.vfs.FileObject> nonExistantFiles)`
`int` | `nrOfFiles()`
`int` | `nrOfMissingFiles()`
`void` | `sortFiles()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileInputList

    public FileInputList()

Method Detail

### getRequiredFilesDescription

    public static String getRequiredFilesDescription(List<org.apache.commons.vfs.FileObject> nonExistantFiles)

### createFilePathList

    public static String[] createFilePathList(VariableSpace space,
                                              String[] fileName,
                                              String[] fileMask,
                                              String[] fileRequired)

### createFilePathList

    public static String[] createFilePathList(VariableSpace space,
                                              String[] fileName,
                                              String[] fileMask,
                                              String[] fileRequired,
                                              boolean[] includeSubdirs)

### createFilePathList

    public static String[] createFilePathList(VariableSpace space,
                                              String[] fileName,
                                              String[] fileMask,
                                              String[] fileRequired,
                                              boolean[] includeSubdirs,
                                              FileInputList.FileTypeFilter[] filters)

### createFileList

    public static FileInputList createFileList(VariableSpace space,
                                               String[] fileName,
                                               String[] fileMask,
                                               String[] fileRequired)

### createFileList

    public static FileInputList createFileList(VariableSpace space,
                                               String[] fileName,
                                               String[] fileMask,
                                               String[] fileRequired,
                                               boolean[] includeSubdirs)

### createFileList

    public static FileInputList createFileList(VariableSpace space,
                                               String[] fileName,
                                               String[] fileMask,
                                               String[] fileRequired,
                                               boolean[] includeSubdirs,
                                               FileInputList.FileTypeFilter[] fileTypeFilters)

### createFolderList

    public static FileInputList createFolderList(VariableSpace space,
                                                 String[] folderName,
                                                 String[] folderRequired)

### getFiles

    public List<org.apache.commons.vfs.FileObject> getFiles()

### getFileStrings

    public String[] getFileStrings()

### getNonAccessibleFiles

    public List<org.apache.commons.vfs.FileObject> getNonAccessibleFiles()

### getNonExistantFiles

    public List<org.apache.commons.vfs.FileObject> getNonExistantFiles()

### addFile

    public void addFile(org.apache.commons.vfs.FileObject file)

### addNonAccessibleFile

    public void addNonAccessibleFile(org.apache.commons.vfs.FileObject file)

### addNonExistantFile

    public void addNonExistantFile(org.apache.commons.vfs.FileObject file)

### sortFiles

    public void sortFiles()

### getFile

    public org.apache.commons.vfs.FileObject getFile(int i)

### nrOfFiles

    public int nrOfFiles()

### nrOfMissingFiles

    public int nrOfMissingFiles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD